Skip to main content
PUT
/
billing
/
auto-top-up
Update auto-top-up settings
curl --request PUT \
  --url https://api.bridgly.app/billing/auto-top-up \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "thresholdCredits": 4503599627370495,
  "amountUsd": 4503599627370498
}
'
import requests

url = "https://api.bridgly.app/billing/auto-top-up"

payload = {
"enabled": True,
"thresholdCredits": 4503599627370495,
"amountUsd": 4503599627370498
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, thresholdCredits: 4503599627370495, amountUsd: 4503599627370498})
};

fetch('https://api.bridgly.app/billing/auto-top-up', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "credits": 123,
  "hasPaymentMethod": true,
  "autoTopUpEnabled": true,
  "autoTopUpThreshold": 0,
  "autoTopUpAmountUsd": 0
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.

Body

application/json
enabled
boolean
required
thresholdCredits
integer
required

Trigger an auto top-up when the balance is at or below this.

Required range: 0 <= x <= 9007199254740991
amountUsd
integer
required

Dollar amount to charge per auto top-up. Minimum $5.

Required range: 5 <= x <= 9007199254740991

Response

Default Response

credits
number
required

Current spendable credit balance for the user.

hasPaymentMethod
boolean
required

Whether the user has completed at least one checkout, so a saved payment method exists for off-session auto top-up.

autoTopUpEnabled
boolean
required
autoTopUpThreshold
integer
required

Balance at or below which an auto top-up is triggered.

Required range: -9007199254740991 <= x <= 9007199254740991
autoTopUpAmountUsd
integer
required

Dollar amount charged on each auto top-up.

Required range: -9007199254740991 <= x <= 9007199254740991